<?php

	class ContasPagarBaixaMysql {
		//atributos
		public $numero;
		public $conexao;
		private $dataAtual;
		
		//metodo construtor constoe com um numero e a conexao com o banco mysql
		public function __construct($numero = 0,$conexao = 0){

			//atribui aos atributos
			$this->numero = $numero;
			$this->conexao = $conexao;
			//quem faz a atribuicao desse atributo e seu metodo set
			$this->setDataAtual();
		}

		//metodo set que atribui a dataAtual o dia ano mes e dia atual
		public function setDataAtual(){
			//atribuindo ano mes e dia ao atributo dataAtual
			$this->dataAtual = date('Y,m.d');
		}

		//metodo que faz a baixa da sangria
		public function baixarSangriaRemoto(){

		//inserindo a sangria no remoto
		$query = "INSERT INTO finalizar_cofre (numeroSQL,DATA_LANCAMENTO) VALUES ('$this->numero','$this->dataAtual');" ;
		mysqli_query($this->conexao, $query);
	}

		//buscar as sanbrias
		public function buscarSngrias($lojaSQL) {

		//tentar buscar as sangrias
		try{

		    //conexao com o banco
		    $Conexao = Conexao::getConnection();
		    //consulta
		    $query = $Conexao->query("SELECT * FROM [Contas a pagar2] WHERE [Data de Pagamento] >= '2023/01/09' AND  [Histórico] NOT LIKE '%FECHAMENTO%' AND  [Histórico] NOT LIKE '%TROCA/DEVOLUÇÃO%' AND [Data de Pagamento] <= '2030/03/01' AND LojaOrigem = '$lojaSQL' AND [Valor Pago2] > 0  AND [ChaveaPagar] = 0;");
		    //se conseguir
		    $sangria = $query->fetchAll();

		    //se nao conseguir
		    }catch(Exception $e){
		      //escrevendo a excessao
		      echo $e->getMessage();
		      //saindo do escript
		      exit;
		     }

		     return $sangria;

			}//fim do metodo

	}//fim classe